Loading...
Searching...
No Matches
Opm::RichardsIntensiveQuantities< TypeTag > Class Template Reference

Intensive quantities required by the Richards model. More...

`#include <richardsintensivequantities.hh>`

Inheritance diagram for Opm::RichardsIntensiveQuantities< TypeTag >:

## Public Types

using | FluidState = ImmiscibleFluidState<Evaluation, FluidSystem>
| The type returned by the fluidState() method.

## Public Member Functions

| RichardsIntensiveQuantities (const RichardsIntensiveQuantities &other)=default
RichardsIntensiveQuantities & | operator= (const RichardsIntensiveQuantities &other)=default
void | update (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
const FluidState & | fluidState () const
| Returns the phase state for the control-volume.
const Evaluation & | porosity () const
| Returns the average porosity within the control volume.
const DimMatrix & | intrinsicPermeability () const
| Returns the intrinsic permeability tensor a degree of freedom.
const Evaluation & | relativePermeability (unsigned phaseIdx) const
| Returns the relative permeability of a given phase within the control volume.
const Evaluation & | mobility (unsigned phaseIdx) const
| Returns the effective mobility of a given phase within the control volume.

## Detailed Description

template<class TypeTag>
class Opm::RichardsIntensiveQuantities< TypeTag >

Intensive quantities required by the Richards model.

## Member Function Documentation

## fluidState()

template<class TypeTag>

const FluidState & Opm::RichardsIntensiveQuantities< TypeTag >::fluidState | ( |  | ) | const

inline

Returns the phase state for the control-volume.

## intrinsicPermeability()

template<class TypeTag>

const DimMatrix & Opm::RichardsIntensiveQuantities< TypeTag >::intrinsicPermeability | ( |  | ) | const

inline

Returns the intrinsic permeability tensor a degree of freedom.

## mobility()

template<class TypeTag>

const Evaluation & Opm::RichardsIntensiveQuantities< TypeTag >::mobility | ( | unsigned | phaseIdx | ) | const

inline

Returns the effective mobility of a given phase within the control volume.

## porosity()

template<class TypeTag>

const Evaluation & Opm::RichardsIntensiveQuantities< TypeTag >::porosity | ( |  | ) | const

inline

Returns the average porosity within the control volume.

## relativePermeability()

template<class TypeTag>

const Evaluation & Opm::RichardsIntensiveQuantities< TypeTag >::relativePermeability | ( | unsigned | phaseIdx | ) | const

inline

Returns the relative permeability of a given phase within the control volume.

## update()

template<class TypeTag>

void Opm::RichardsIntensiveQuantities< TypeTag >::update | ( | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx )

inline

The documentation for this class was generated from the following file:

- opm/models/richards/richardsintensivequantities.hh